diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 3312570..8d50aef 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1682,8 +1682,8 @@ testdb=&gt;
 
         <para>
         If <literal>+</literal> is appended to the command, the sum of sizes of
-        table's partitions (including that of their indexes) is also displayed,
-        along with the associated description.
+        table's partitions is also displayed, along with the associated
+        description.
         If <literal>n</literal> is combined with <literal>+</literal>, two
         sizes are shown: one including the total size of directly-attached
         leaf partitions, and another showing the total size of all partitions,
diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 22fb3fb..1ca30fb 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -3860,7 +3860,7 @@ listPartitionedTables(const char *reltypes, const char *pattern, bool verbose)
 
 	if (showNested || pattern)
 		appendPQExpBuffer(&buf,
-						  ",\n  c3.oid::regclass as \"%s\"",
+						  ",\n  inh.inhparent::regclass as \"%s\"",
 						  gettext_noop("Parent name"));
 
 	if (showIndexes)
@@ -3901,8 +3901,7 @@ listPartitionedTables(const char *reltypes, const char *pattern, bool verbose)
 
 	if (showNested || pattern)
 		appendPQExpBufferStr(&buf,
-							 "\n     LEFT JOIN pg_catalog.pg_inherits inh ON c.oid = inh.inhrelid"
-							 "\n     LEFT JOIN pg_catalog.pg_class c3 ON c3.oid = inh.inhparent");
+							 "\n     LEFT JOIN pg_catalog.pg_inherits inh ON c.oid = inh.inhrelid");
 
 	if (verbose)
 	{
